Skip to main content
Settings/Settings Operations/HA Policy Operations

DeleteHaNetworkGroup

DeleteHaNetworkGroup

DELETE/zstack/v1/ha/network-groups/{uuid}

Operation ID

DeleteHaNetworkGroup

Since

5.5.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID, which uniquely identifies the resource.

Body Fields

  • deleteMode
    String

    Delete mode. Valid values: Permissive and Enforcing. Default: Permissive.

  • systemTags
    List

    System tags.

  • userTags
    List

    User tags.

Responses

200 OK

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}